package com.upyuns.platform.rs.website.controller.web;

import cn.hutool.core.util.StrUtil;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.github.wxiaoqi.security.common.util.AssertUtils;
import com.upyuns.platform.rs.datacenter.fegin.DatacenterFeign;
import com.upyuns.platform.rs.website.biz.CustomFormBiz;
import com.upyuns.platform.rs.website.entity.CustomForm;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("customForm/web")
public class CustomFormWebController extends BaseController<CustomFormBiz,CustomForm> {

    @Autowired
    DatacenterFeign datacenterFegin;

    @RequestMapping(value = "customIndustry",method = RequestMethod.POST)
    public ObjectRestResponse customIndustry(@RequestBody CustomForm entity) {
        if(StrUtil.isNotBlank(entity.getProvinceCode())) {
            entity.setProvinceName(datacenterFegin.queryByCode(entity.getProvinceCode()).getData().getName());
        }
        if(StrUtil.isNotBlank(entity.getCityCode())) {
            entity.setCityName(datacenterFegin.queryByCode(entity.getCityCode()).getData().getName());
        }
        if(StrUtil.isNotBlank(entity.getAreaCode())) {
            entity.setAreaName(datacenterFegin.queryByCode(entity.getAreaCode()).getData().getName());
        }
        baseBiz.insertSelective(entity);
        return ObjectRestResponse.succ();
    }

    @RequestMapping(value = "customImgStorage",method = RequestMethod.POST)
    public ObjectRestResponse customImgStorage(@RequestBody CustomForm entity) {

        baseBiz.insertSelective(entity);
        return ObjectRestResponse.succ();
    }

    @RequestMapping(value = "customImageData",method = RequestMethod.POST)
    public ObjectRestResponse customImageData(@RequestBody CustomForm entity) {
        if(StrUtil.isNotBlank(entity.getProvinceCode())) {
            entity.setProvinceName(datacenterFegin.queryByCode(entity.getProvinceCode()).getData().getName());
        }
        if(StrUtil.isNotBlank(entity.getCityCode())) {
            entity.setCityName(datacenterFegin.queryByCode(entity.getCityCode()).getData().getName());
        }
        if(StrUtil.isNotBlank(entity.getAreaCode())) {
            entity.setAreaName(datacenterFegin.queryByCode(entity.getAreaCode()).getData().getName());
        }
        baseBiz.insertSelective(entity);
        return ObjectRestResponse.succ();
    }
}